summaryrefslogtreecommitdiff
path: root/dev-python/simplejson/simplejson-3.17.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-17 06:56:32 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-17 06:56:32 +0000
commitf3c4550fbbf32895d8a71b1df500c98d71208673 (patch)
tree051ed807cc08a33b25c63d0f4a44e36b9c60f70a /dev-python/simplejson/simplejson-3.17.2.ebuild
parentba872f10f8ac67e08d6c40c8ae1ae49c50ad72a9 (diff)
downloadbaldeagleos-repo-f3c4550fbbf32895d8a71b1df500c98d71208673.tar.gz
baldeagleos-repo-f3c4550fbbf32895d8a71b1df500c98d71208673.tar.xz
baldeagleos-repo-f3c4550fbbf32895d8a71b1df500c98d71208673.zip
Updating liguros repo
Diffstat (limited to 'dev-python/simplejson/simplejson-3.17.2.ebuild')
-rw-r--r--dev-python/simplejson/simplejson-3.17.2.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/simplejson/simplejson-3.17.2.ebuild b/dev-python/simplejson/simplejson-3.17.2.ebuild
new file mode 100644
index 000000000000..093a002c8044
--- /dev/null
+++ b/dev-python/simplejson/simplejson-3.17.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="https://github.com/simplejson/simplejson https://pypi.org/project/simplejson/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest
+
+python_compile() {
+ if ! python_is_python3; then
+ local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ fi
+ distutils-r1_python_compile
+}